function _G.RealUI:InitAsianFonts(LSM)
    local path = [[Interface\AddOns\RealUI_AsianFonts\]]

    -- koKR - Korean
    LSM:Register("font", "Noto Sans Bold", path..[[krKO_Korean\NotoSansKR-Bold.otf]], LSM.LOCALE_BIT_koKR)
    LSM:Register("font", "Noto Sans Light", path..[[krKO_Korean\NotoSansKR-Light.otf]], LSM.LOCALE_BIT_koKR)
    LSM:Register("font", "Noto Sans Regular", path..[[krKO_Korean\NotoSansKR-Regular.otf]], LSM.LOCALE_BIT_koKR)
    LSM:Register("font", "Noto Serif Bold", path..[[krKO_Korean\NotoSerifKR-Regular.otf]], LSM.LOCALE_BIT_koKR)

    -- zhCN - Simplified Chinese
    LSM:Register("font", "Noto Sans Bold", path..[[zhCN_SimplifiedChinese\NotoSansSC-Bold.otf]], LSM.LOCALE_BIT_zhCN)
    LSM:Register("font", "Noto Sans Light", path..[[zhCN_SimplifiedChinese\NotoSansSC-Light.otf]], LSM.LOCALE_BIT_zhCN)
    LSM:Register("font", "Noto Sans Regular", path..[[zhCN_SimplifiedChinese\NotoSansSC-Regular.otf]], LSM.LOCALE_BIT_zhCN)
    LSM:Register("font", "Noto Serif Bold", path..[[zhCN_SimplifiedChinese\NotoSerifSC-Bold.otf]], LSM.LOCALE_BIT_zhCN)

    -- zhTW - Traditional Chinese
    LSM:Register("font", "Noto Sans Bold", path..[[zhTW_TraditionalChinese\NotoSansTC-Bold.otf]], LSM.LOCALE_BIT_zhTW)
    LSM:Register("font", "Noto Sans Light", path..[[zhTW_TraditionalChinese\NotoSansTC-Light.otf]], LSM.LOCALE_BIT_zhTW)
    LSM:Register("font", "Noto Sans Regular", path..[[zhTW_TraditionalChinese\NotoSansTC-Regular.otf]], LSM.LOCALE_BIT_zhTW)
    LSM:Register("font", "Noto Serif Bold", path..[[zhTW_TraditionalChinese\NotoSerifTC-Bold.otf]], LSM.LOCALE_BIT_zhCN)

    LSM.DefaultMedia.font = "Noto Sans Regular"

    return {
        normal = "Noto Sans Regular",
        chat = "Noto Sans Light",
        crit = "Noto Sans Bold",
        header = "Noto Serif Bold"
    }
end

local version = _G.GetAddOnMetadata("RealUI_Skins", "Version")
version = {_G.strsplit(".", version)}
if version[1] == 2 and version[3] <= 2 then
    _G.RealUI:InitAsianFonts(_G.LibStub("LibSharedMedia-3.0"))
end
